Uses of Interface
io.vertx.httpproxy.ProxyResponse
Packages that use ProxyResponse
-
Uses of ProxyResponse in io.vertx.httpproxy
Methods in io.vertx.httpproxy that return ProxyResponseModifier and TypeMethodDescriptionProxyResponse.putHeader(CharSequence name, CharSequence value) Put an HTTP header.ProxyResponse.release()Release the proxy response.ProxyContext.response()ProxyRequest.response()Create and return the proxy response.Set the request body to be sent to the user agent.ProxyResponse.setStatusCode(int sc) Set the status code to be sent to the user agent.ProxyResponse.setStatusMessage(String statusMessage) Set the status message to be sent to the user agent.Methods in io.vertx.httpproxy that return types with arguments of type ProxyResponseModifier and TypeMethodDescriptiondefault Future<ProxyResponse> ProxyInterceptor.handleProxyRequest(ProxyContext context) Handle the proxy request at the stage of this interceptor.ProxyRequest.send(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.ProxyContext.sendRequest() -
Uses of ProxyResponse in io.vertx.rxjava3.httpproxy
Methods in io.vertx.rxjava3.httpproxy that return ProxyResponseMethods in io.vertx.rxjava3.httpproxy with parameters of type ProxyResponseModifier and TypeMethodDescriptionstatic ProxyResponseProxyResponse.newInstance(ProxyResponse arg) Constructors in io.vertx.rxjava3.httpproxy with parameters of type ProxyResponse